# **********************************************************************
#
# Copyright (c) 1998
# Object-Oriented Concepts, Inc.
# Billerica, MA, USA
#
# Copyright (c) 1998
# Object-Oriented Concepts GmbH
# Ettlingen, Germany
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..\..

SERVER_NAME	= server.exe
CLIENT_NAME	= client.exe
CT_NAME		= create_types.exe

TARGETS		= $(SERVER_NAME) \
		  $(CLIENT_NAME) \
		  $(CT_NAME)

!include $(top_srcdir)\config\Make.rules.mak

COMMON_OBJS	= CCS.obj \
		  CosTrading.obj

SERVER_OBJS	= CCS_skel.obj \
		  icp.obj \
		  server.obj

CT_OBJS		= create_types.obj \
		  CosTradingRepos.obj

CLIENT_OBJS	= client.obj

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. $(OB_CPPFLAGS) $(CPPFLAGS)
ALL_LIBS	= $(OB_LIBS) $(LIBS)
 
$(SERVER_NAME): $(COMMON_OBJS) $(SERVER_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(SERVER_OBJS) $(ALL_LIBS)

$(CT_NAME): $(COMMON_OBJS) $(CT_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(CT_OBJS) $(ALL_LIBS)

$(CLIENT_NAME): $(COMMON_OBJS) $(CLIENT_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(CLIENT_OBJS) $(ALL_LIBS)

CCS.cc CCS.hh: CCS.idl
	del /q CCS.cc CCS.hh
	del /q CCS_skel.cc CCS_skel.hh
	$(IDL) --h-suffix .hh --c-suffix .cc CCS.idl

CCS_skel.cc CCS_skel.hh : CCS.cc

CosTrading.cc CosTrading.hh: CosTrading.idl
	del /q CosTrading.cc CosTrading.hh
	$(IDL) --no-skeletons --h-suffix .hh --c-suffix .cc CosTrading.idl

CosTradingRepos.cc CosTradingRepos.hh: CosTradingRepos.idl
	del /q CosTradingRepos.cc CosTradingRepos.hh
	$(IDL) --no-skeletons --h-suffix .hh --c-suffix .cc CosTradingRepos.idl

!include .windep
