// **********************************************************************
//
// Copyright (c) 1999
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1999
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

#ifndef ReapTimer_h
#define ReapTimer_h

class Reaper;

//
// A ReapTimer invokes reap() on a reaper at a given interval
//
class ReapTimer : public OB::Timer
{
    Reaper* reaper_;
    struct timeval interval_;

    ReapTimer(const ReapTimer&);
    ReapTimer& operator=(const ReapTimer&);

public:
    ReapTimer(Reaper* reaper, int interval);

    virtual void notify();
};

#endif
