// **********************************************************************
//
// Copyright (c) 1999
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1999
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

#ifndef INTERFACE_IMPL_H
#define INTERFACE_IMPL_H

#include <Interface_skel.h>

namespace Module
{

class Interface_impl : public POA_Module::Interface
{
public:

    Interface_impl() { }

    virtual void method1()
        throw(CORBA::SystemException) { }
    virtual void method2()
        throw(CORBA::SystemException) { }
    virtual void method3()
        throw(CORBA::SystemException) { }

    virtual void attribute1(CORBA::Long)
        throw(CORBA::SystemException) { }
    virtual void attribute2(CORBA::Long)
        throw(CORBA::SystemException) { }
    virtual void attribute3(CORBA::Long)
        throw(CORBA::SystemException) { }

    virtual CORBA::Long attribute1()
        throw(CORBA::SystemException) { return 0; }
    virtual CORBA::Long attribute2()
        throw(CORBA::SystemException) { return 0; }
    virtual CORBA::Long attribute3()
        throw(CORBA::SystemException) { return 0; }
};

} // End of namespace Module

#endif
