# **********************************************************************
#
# Copyright (c) 1999
# Object-Oriented Concepts, Inc.
# Billerica, MA, USA
#
# Copyright (c) 1999
# Object-Oriented Concepts GmbH
# Ettlingen, Germany
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

SERVER_NAME	= server.exe
CLIENT_NAME	= client.exe

TARGETS		= $(SERVER_NAME) \
		  $(CLIENT_NAME)

!include $(top_srcdir)\config\Make.rules.mak

COMMON_OBJS	= Finance.obj \
                  EmployeeFactory_impl.obj \
                  Employee_impl.obj

SERVER_OBJS	= Finance_skel.obj \
		  Server.obj

CLIENT_OBJS	= Client.obj

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. $(OB_CPPFLAGS) $(CPPFLAGS)
ALL_LIBS	= $(OB_LIBS) $(LIBS)
 
$(SERVER_NAME): $(COMMON_OBJS) $(SERVER_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(SERVER_OBJS) $(ALL_LIBS)

$(CLIENT_NAME): $(COMMON_OBJS) $(CLIENT_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(CLIENT_OBJS) $(ALL_LIBS)

Finance.cpp Finance.h: Finance.idl
	del /q Finance.cpp Finance.h
	del /q Finance_skel.cpp Finance_skel.h
	$(IDL) Finance.idl

Finance_skel.cpp Finance_skel.h: Finance.cpp

!include .windep
