// **********************************************************************
//
// Copyright (c) 1998
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1998
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/CORBA.h>

#include <IFR1_impl.h>

using namespace CORBA;
using namespace OB;

// ----------------------------------------------------------------------
// IRObject_impl member implementations
// ----------------------------------------------------------------------

IRObject_impl::IRObject_impl(ORB_ptr orb)
{
    orb_ = ORB::_duplicate(orb);
}

IRObject_impl::~IRObject_impl()
{
}

void
IRObject_impl::releaseInternal()
{
}

void
IRObject_impl::destroy()
    throw(SystemException)
{
    releaseInternal();
    delete this;
}

// ----------------------------------------------------------------------
// IDLType_impl member implementations
// ----------------------------------------------------------------------

IDLType_impl::IDLType_impl(ORB_ptr orb)
    : IRObject_impl(orb)
{
}

IDLType_impl::~IDLType_impl()
{
}
