// **********************************************************************
//
// Copyright (c) 1998
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1998
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

#ifndef TEST4_IMPL_H
#define TEST4_IMPL_H

#include <Test4_skel.h>

class Test4_impl : public POA_Test4
{
public:

    CORBA::Boolean opFixedArray(const Test4::FixedArray)
	throw(CORBA::SystemException);
    CORBA::Boolean opFixedArrayAny(const CORBA::Any&)
	throw(CORBA::SystemException);

    CORBA::Boolean opFixedArraySequence(const Test4::FixedArraySequence&)
	throw(CORBA::SystemException);
    CORBA::Boolean opFixedArraySequenceAny(const CORBA::Any&)
	throw(CORBA::SystemException);

    CORBA::Boolean opFixedArray2(const Test4::FixedArray2)
	throw(CORBA::SystemException);
    CORBA::Boolean opFixedArray2Any(const CORBA::Any&)
	throw(CORBA::SystemException);

    CORBA::Boolean opFixedArraySequence2(const Test4::FixedArraySequence2&)
	throw(CORBA::SystemException);
    CORBA::Boolean opFixedArraySequence2Any(const CORBA::Any&)
	throw(CORBA::SystemException);
};

#endif
