# **********************************************************************
#
# Copyright (c) 1998
# Object-Oriented Concepts, Inc.
# Billerica, MA, USA
#
# Copyright (c) 1998
# Object-Oriented Concepts GmbH
# Ettlingen, Germany
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

LIB_NAME	= $(top_srcdir)\lib\obtestcommon.lib

TARGETS		= $(LIB_NAME)

!include $(top_srcdir)\config\Make.rules.mak

LIB_OBJS	= TestCommon.obj \
		  TestMacro.obj

SRCS		= $(LIB_OBJS:.o=.cpp)

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. $(OB_CPPFLAGS) $(CPPFLAGS)

$(LIB_NAME): $(LIB_OBJS)
	$(AR) $(ARFLAGS) /out:$@ $(LIB_OBJS)

TestCommon.cpp TestCommon.h: TestCommon.idl
	del /q TestCommon.cpp TestCommon.h
	$(IDL) --no-skeletons TestCommon.idl

install:: all
	$(INSTALL_DATA) $(LIB_NAME) $(libdir)
