// **********************************************************************
//
// Copyright (c) 1999
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1999
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/CORBA.h>
#include <TestMacro.h>
#include <TestOBV_skel.h>
#include <TestOBVColo_impl.h>

using namespace CORBA;

//
// IDL:TestOBVColo:1.0
//
TestOBVColo_impl::TestOBVColo_impl()
{
}

TestOBVColo_impl::~TestOBVColo_impl()
{
}

//
// IDL:TestOBVColo/set_expected_count:1.0
//
void
TestOBVColo_impl::set_expected_count(Long count)
    throw(SystemException)
{
    count_ = count;
}

//
// IDL:TestOBVColo/test_attribute:1.0
//
TestValue*
TestOBVColo_impl::test_attribute()
    throw(SystemException)
{
    return 0;
}

void
TestOBVColo_impl::test_attribute(TestValue* a)
    throw(SystemException)
{
    if(a != 0)
    {
        TEST(a -> count() == count_);
        a -> ping1();
        a -> count(99997);
    }
}

//
// IDL:TestOBVColo/test_op:1.0
//
void
TestOBVColo_impl::test_op(TestValue* v)
    throw(SystemException)
{
    if(v != 0)
    {
        TEST(v -> count() == count_);
        v -> ping1();
        v -> count(99998);
    }
}
