# **********************************************************************
#
# Copyright (c) 1998
# Object-Oriented Concepts, Inc.
# Billerica, MA, USA
#
# Copyright (c) 1998
# Object-Oriented Concepts GmbH
# Ettlingen, Germany
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..\..

SERVER_NAME	= server.exe
CLIENT_NAME	= client.exe

TARGETS		= $(SERVER_NAME) \
		  $(CLIENT_NAME)

!include $(top_srcdir)\config\Make.rules.mak

CLIENT_OBJS	= Client.obj

COMMON_OBJS	= CCS.obj \
		  CosNaming.obj

SERVER_OBJS	= CCS_skel.obj \
		  icp.obj \
		  server.obj

CLIENT_OBJS	= client.obj

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. $(OB_CPPFLAGS) $(CPPFLAGS)
ALL_LIBS	= $(OB_LIBS) $(LIBS)
 
$(SERVER_NAME): $(COMMON_OBJS) $(SERVER_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(SERVER_OBJS) $(ALL_LIBS)

$(CLIENT_NAME): $(COMMON_OBJS) $(CLIENT_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(CLIENT_OBJS) $(ALL_LIBS)

CCS.cc CCS.hh: CCS.idl
	del /q CCS.cc CCS.hh
	del /q CCS_skel.cc CCS_skel.hh
	$(IDL) --h-suffix .hh --c-suffix .cc CCS.idl

CCS_skel.cc CCS_skel.hh : CCS.cc

CosNaming.cc CosNaming.hh: CosNaming.idl
	del /q CosNaming.cc CosNaming.hh
	$(IDL) --no-skeletons --h-suffix .hh --c-suffix .cc CosNaming.idl

!include .windep
