// **********************************************************************
//
// Copyright (c) 1999
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1999
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

#ifndef RECEIVER_IMPL_H
#define RECEIVER_IMPL_H

#include <Broadcaster.h>
#include <ReceiverBase_impl.h>
#include <OB/Reactor.h>
#include <termio.h>

class Receiver_impl : public ReceiverBase_impl, public OB::EventHandler
{
    //
    // Input string
    //
    CORBA::String_var input_;

public:

    Receiver_impl(CORBA::ORB_ptr orb, Broadcaster_ptr);
    ~Receiver_impl();

    //
    // Event handling
    //
    virtual void handleEvent(CORBA::ULong);
    virtual void handleStop();

    //
    // Functions from the .idl file
    //
    virtual void print(const char*)
        throw(CORBA::SystemException);
};

#endif
