// **********************************************************************
//
// Copyright (c) 1999
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1999
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/CORBA.h>
#include <OB/Util.h>
#include <Peer_impl.h>

#ifdef HAVE_STD_IOSTREAM
using namespace std;
#endif

Peer_impl::Peer_impl()
{
}

void
Peer_impl::decrement(CORBA::Long& value, Peer_ptr peer)
    throw(CORBA::SystemException)
{
    cout << value << endl;

    value--;

    if(value > 0)
    {
	Peer_var self = _this();

	try
	{
	    peer -> decrement(value, self);
	}
	catch(CORBA::COMM_FAILURE& ex)
	{
	    cerr << "Got exception while calling `peer -> decrement()':"
		 << endl;
	    OB::PrintException(ex);
	}
    }
}
