// **********************************************************************
//
// Copyright (c) 1999
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1999
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/CORBA.h>
#include <Finance.h>
#include <EmployeeFactory_impl.h>
#include <Employee_impl.h>

CORBA::ValueBase*
EmployeeFactory_impl::create_for_unmarshal()
{
    return new Employee_impl();
}

Employee*
EmployeeFactory_impl::create(CORBA::Float salary)
{
    return new Employee_impl(salary);
}
