// **********************************************************************
//
// Copyright (c) 1999
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1999
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/CORBA.h>
#include <Finance.h>
#include <Employee_impl.h>

#ifdef HAVE_STD_IOSTREAM
using namespace std;
#endif

Employee_impl::Employee_impl()
{
}

Employee_impl::Employee_impl(CORBA::Float salary)
{
    this -> salary(salary);
}

CORBA::ValueBase*
Employee_impl::_copy_value()
{
    Employee_impl* result = new Employee_impl;
    result -> emp_id(emp_id());
    result -> name(name());
    result -> addr(addr());
    result -> ssn(ssn());
    result -> salary(salary());
    return result;
}

void
Employee_impl::print_check()
{
    cout << "Check for Employee #" << emp_id() << " - " << name() << endl;
    const Address& address = addr();
    cout << "Mail to: " << address.street << endl;
    cout << "         " << address.city << ", " << address.state << "  "
         << address.zip << endl;
    cout << "Amount : $" << salary() << endl;
    cout << "Tax ID : " << ssn() << endl;
}
