// **********************************************************************
//
// Copyright (c) 1998
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1998
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_IIOP_UTIL_H
#define OB_IIOP_UTIL_H

namespace OB
{

IOP::IOR* IIOPCreateIOR(const char*, CORBA::UShort, const char*, const char*);

void IIOPPrintProfileBody(OB_STD(ostream)&, const IOP::TaggedProfile&);

CORBA::Boolean IIOPCompareBodies(const ::IIOP::ProfileBody_1_0&,
                                 const ::IIOP::ProfileBody_1_0&);

CORBA::Boolean IIOPEquivalent(const OCI::IOR&, const OCI::IOR&);

CORBA::ULong IIOPHash(const OCI::IOR&, CORBA::ULong);

OCI::ObjectKey* IIOPExtractKey(const OCI::IOR&, const char*,
			       CORBA::UShort port, bool);

} // End of namespace OB

#endif
