// **********************************************************************
//
// Copyright (c) 1999
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1999
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/Basic.h>
#include <OB/Except.h>
#include <OB/Template.h>
#include <OB/TemplateI.h>
#include <OB/OBTypes.h>
#include <OB/ServiceInfo.h>

using namespace CORBA;

namespace CORBA
{

const ServiceType Security = 1;

} // End of namespace CORBA

// ----------------------------------------------------------------------
// Template instantiations
// ----------------------------------------------------------------------

#ifndef HAVE_NO_EXPLICIT_TEMPLATES
template class OB::VarSeq< ServiceDetail, int >;
template class OB::VarVar< ServiceDetail >;
template class OB::VarVar< ServiceInformation >;
#else
#ifdef HAVE_PRAGMA_DEFINE
#pragma define(OB::VarSeq< ServiceDetail, int >)
#pragma define(OB::VarVar< ServiceDetail >)
#pragma define(OB::VarVar< ServiceInformation >)
#endif
#endif
