// **********************************************************************
//
// Copyright (c) 1998
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1998
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

#ifndef TEST1_IMPL_H
#define TEST1_IMPL_H

#include <Test1_skel.h>

class Test1_impl : public POA_Test1
{
public:

    CORBA::Boolean opLongSeq(const Test1::LongSeq&)
	throw(CORBA::SystemException);
    CORBA::Boolean opLongSeqAny(const CORBA::Any&)
	throw(CORBA::SystemException);

    CORBA::Boolean opLongSeq2(const Test1::LongSeq2&)
	throw(CORBA::SystemException);
    CORBA::Boolean opLongSeq2Any(const CORBA::Any&)
	throw(CORBA::SystemException);

    CORBA::Boolean opLongSeqSeq(const Test1::LongSeqSeq&)
	throw(CORBA::SystemException);
    CORBA::Boolean opLongSeqSeqAny(const CORBA::Any&)
	throw(CORBA::SystemException);

    CORBA::Boolean opLongSeqSeq2Any(const CORBA::Any&)
	throw(CORBA::SystemException);
    CORBA::Boolean opLongSeqSeq2(const Test1::LongSeqSeq2&)
	throw(CORBA::SystemException);
};

#endif
