// **********************************************************************
//
// Copyright (c) 1998
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1998
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

#ifndef TEST_DSI_IMPL_H
#define TEST_DSI_IMPL_H

#include <TestInterface.h>
#include <TestInterfaceEx.h>

class TestInterfaceExDSI_impl :
    virtual public PortableServer::DynamicImplementation
{
protected:

    TestInterfaceEx_var ti_;
    CORBA::ORB_var orb_;

    CORBA::Any aTestInterface;
    CORBA::Any aVariableUnion;

public:

    TestInterfaceExDSI_impl(TestInterfaceEx_ptr, CORBA::ORB_ptr);

    virtual CORBA::RepositoryId
    _primary_interface(const PortableServer::ObjectId&,
		       PortableServer::POA_ptr);

    virtual CORBA::Boolean _is_a(const char*)
	throw(CORBA::SystemException);

    virtual void invoke(CORBA::ServerRequest_ptr) throw();

    virtual void releaseInternal();
};

#endif
