// **********************************************************************
//
// Copyright (c) 1999
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1999
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/CORBA.h>
#include <OB/Util.h>

#include <stdlib.h>

using namespace CORBA;

int
main(int argc, char* argv[], char*[])
{
    int status;

    try
    {
        //
        // Create ORB
        //
        ORB_var orb = ORB_init(argc, argv);

	//
	// Run tests
	//
	int ClientRun(ORB_ptr, int, char*[]);
	status = ClientRun(orb, argc, argv);
    }
    catch(const SystemException& ex)
    {
	OB::PrintException(ex);
	status = 1;
    }

    return status;
}
