# **********************************************************************
#
# Copyright (c) 1998
# Object-Oriented Concepts, Inc.
# Billerica, MA, USA
#
# Copyright (c) 1998
# Object-Oriented Concepts GmbH
# Ettlingen, Germany
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

LIB_NAME	= $(top_srcdir)\lib\obtestobv.lib
SERVER_NAME	= server.exe
CLIENT_NAME	= client.exe

TARGETS		= $(LIB_NAME) \
		  $(SERVER_NAME) \
		  $(CLIENT_NAME)

!include $(top_srcdir)\config\Make.rules.mak

LIB_OBJS	= TestOBV.obj \
		  TestOBV_skel.obj \
		  Factories.obj \
		  TestAbstractSub_impl.obj \
		  TestCustom_impl.obj \
		  TestOBV_impl.obj \
		  TestOBVColo_impl.obj \
		  TestTrunc_impl.obj \
		  TestValue_impl.obj \
		  Server.obj \
		  Client.obj

SERVER_OBJS	= ServerMain.obj

CLIENT_OBJS	= ClientMain.obj

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. /I..\common $(OB_CPPFLAGS) $(CPPFLAGS)
ALL_LIBS	= $(LIB_NAME) $(top_srcdir)\lib\obtestcommon.lib \
		  $(OB_LIBS) $(LIBS)

$(LIB_NAME): $(LIB_OBJS)
	$(AR) $(ARFLAGS) /out:$@ $(LIB_OBJS)

$(SERVER_NAME): $(SERVER_OBJS) $(LIB_NAME)
	$(LINK) $(LINKFLAGS) /out:$@ $(SERVER_OBJS) $(ALL_LIBS)

$(CLIENT_NAME): $(CLIENT_OBJS) $(LIB_NAME)
	$(LINK) $(LINKFLAGS) /out:$@ $(CLIENT_OBJS) $(ALL_LIBS)

TestOBV.cpp TestOBV.h: TestOBV.idl
	del /q TestOBV.cpp TestOBV.h
	$(IDL) TestOBV.idl

TestOBV_skel.cpp TestOBV_skel.h: TestOBV.cpp

install:: all
	$(INSTALL_DATA) $(LIB_NAME) $(libdir)

!include .windep
