// **********************************************************************
//
// Copyright (c) 1999
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1999
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

#ifndef TESTOBV_COLO_IMPL_H
#define TESTOBV_COLO_IMPL_H

//
// IDL:TestOBVColo:1.0
//
class TestOBVColo_impl : virtual public POA_TestOBVColo
{
    TestOBVColo_impl(const TestOBVColo_impl&);
    void operator=(const TestOBVColo_impl&);

    CORBA::Long count_;

public:

    TestOBVColo_impl();
    ~TestOBVColo_impl();

    //
    // IDL:TestOBVColo/set_expected_count:1.0
    //
    virtual void set_expected_count(CORBA::Long)
        throw(CORBA::SystemException);

    //
    // IDL:TestOBVColo/test_attribute:1.0
    //
    virtual TestValue* test_attribute()
        throw(CORBA::SystemException);
    virtual void test_attribute(TestValue*)
        throw(CORBA::SystemException);

    //
    // IDL:TestOBVColo/test_op:1.0
    //
    virtual void test_op(TestValue*)
        throw(CORBA::SystemException);
};

#endif
