// **********************************************************************
//
// Copyright (c) 1999
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1999
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/CORBA.h>
#include <TestOBV.h>
#include <TestValue_impl.h>

using namespace CORBA;

//
// IDL:TestValue:1.0
//
TestValue_impl::TestValue_impl()
{
}

TestValue_impl::~TestValue_impl()
{
}

ValueBase*
TestValue_impl::_copy_value()
{
    TestValue_impl* result = new TestValue_impl;
    result -> count(count());
    return result;
}

//
// IDL:TestAbsValue1/ping1:1.0
//
void
TestValue_impl::ping1()
    throw(SystemException)
{
}


//
// IDL:TestValueSub:1.0
//
TestValueSub_impl::TestValueSub_impl()
{
}

TestValueSub_impl::~TestValueSub_impl()
{
}

ValueBase*
TestValueSub_impl::_copy_value()
{
    TestValueSub_impl* result = new TestValueSub_impl;
    result -> count(count());
    result -> name(name());
    return result;
}

//
// IDL:TestAbsValue1/ping1:1.0
//
void
TestValueSub_impl::ping1()
    throw(SystemException)
{
}

//
// IDL:TestAbsValue2/ping2:1.0
//
void
TestValueSub_impl::ping2()
    throw(SystemException)
{
}
