// **********************************************************************
//
// Copyright (c) 1999
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1999
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

#ifndef TEST_LOCATION_FORWARD_ACTIVATOR_IMPL_H
#define TEST_LOCATION_FORWARD_ACTIVATOR_IMPL_H

class TestLocationForwardActivator_impl :
    public POA_TestLocationForwardActivator
{
    bool activate_;
    
    PortableServer::ServantBase_var servant_;
    
    CORBA::Object_var forward_;

public:
    
    TestLocationForwardActivator_impl();

    void setActivatedServant(PortableServer::ServantBase* servant);
    
    virtual void setForwardRequest(CORBA::Object_ptr forward)
        throw(CORBA::SystemException);
    
    PortableServer::Servant incarnate(const PortableServer::ObjectId& oid,
                                     PortableServer::POA_ptr poa)
        throw(PortableServer::ForwardRequest,
              CORBA::SystemException);

    void etherealize(const PortableServer::ObjectId& oid,
                     PortableServer::POA_ptr poa,
                     PortableServer::Servant servant,
                     CORBA::Boolean cleanup,
                     CORBA::Boolean remaining)
        throw(CORBA::SystemException);
};

#endif
